html {
  scroll-behavior: smooth;
}
body {
    background-color: #171614;
    color: white;
}
.navbar {
    background-color: #8c0303;
}
.btn-primary {
    background-color: #fb6107;
    border-color: #fb6107;
}
.btn-primary:hover {
    background-color: #d4d94e;
    border-color: #d4d94e;
    color: #171614;
}
.highlight {
    color: #d4d94e;
}
.footer {
    background-color: #424401;
    padding: 10px;
    text-align: center;
    margin-top: 20px;
}
h1.display-4.mt-4 {
    font-weight: 700;
}
.carousel-caption.d-none.d-md-block {
    background: #00000033;
    top: 15%;
    border-radius: 15px;
    height: fit-content;
    padding: 6% 8%;
}
.card:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    box-shadow: 0px 8px 15px rgba(255, 255, 255, 0.2);
    border: 2px solid #d4d94e;
}

#contacto {
    background-color: #171614; /* Fondo oscuro */
    padding: 50px 0;
}

#contacto .form-control {
    background: #222;
    color: #fff;
    border: 1px solid #6f7302;
}

#contacto .form-control:focus {
    border-color: #fb6107;
    box-shadow: 0 0 5px rgba(251, 97, 7, 0.5);
}

#contacto .btn-primary {
    background-color: #fb6107;
    border: none;
}

#contacto .btn-primary:hover {
    background-color: #d45306;
}

#contacto img {
    max-width: 80%;
    border: 3px solid #6f7302;
    padding: 10px;
}
footer img {
    filter: grayscale(1) brightness(1) opacity(0.5);
}
#mensajeConfirmacion {
    font-size: 18px;
    margin-top: 15px;
    padding: 15px;
    border-radius: 5px;
}

#funcionalidades .col-md-4 {
    margin-top: 2rem;
}

@media(min-width:768px){
        .carousel-caption.d-none.d-md-block {
        padding: 2%;
        top: 25%;
    }
    .carousel-caption.d-none.d-md-block h2 {
        font-size: 1.6rem;
    }
    .carousel-caption.d-none.d-md-block p {
        font-size: 16px!important;
    }
}
@media(min-width:880px){
        .carousel-caption.d-none.d-md-block {
        padding: 5% 4%;
        top: 20%;
    }

}
@media(min-width:1024px){
        .carousel-caption.d-none.d-md-block {
        padding: 6%;
        top: 20%;
    }
    .carousel-caption.d-none.d-md-block h2 {
        font-size: 1.6rem;
    }
    .carousel-caption.d-none.d-md-block p {
        font-size: 16px!important;
    }
}
@media(min-width:1440px){
    .carousel-caption.d-none.d-md-block {
        padding: 8% 6%;
        top: 15%;
    }
    .carousel-caption.d-none.d-md-block h2 {
        font-size: 2.5rem;
    }
}
